Введение

Примеры

Пользовательское исключение

Здесь мы создали пользовательское исключение под названием CustomError, которое является производным от класса Exception. Это новое исключение может быть вызвано, как и другие исключения, с помощью оператора поднятия с необязательным сообщением об ошибке.

 class CustomError(Exception):
       pass

x = 1

if x == 1:
    raise CustomError('This is custom error')
 

Выход:

 Traceback (most recent call last):
  File "error_custom.py", line 8, in <module>
    raise CustomError('This is custom error')
__main__.CustomError: This is custom error 

Поймать нестандартное исключение

Этот пример показывает, как поймать пользовательское исключение

 class CustomError(Exception):
     pass

try:
    raise CustomError('Can you catch me ?')
except CustomError as e:
    print ('Catched CustomError :{}'.format(e))
except Exception as e:
    print ('Generic exception: {}'.format(e))
 

Выход:

 Catched CustomError :Can you catch me ? 

Синтаксис

Параметры

Примечания